namespace efl { namespace loop { 
inline ::efl::eolian::return_traits<int>::type Fd::fd_get() const
{
   int __return_value =  ::efl_loop_fd_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Fd::fd_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_loop_fd_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
inline ::efl::eolian::return_traits<int>::type Fd::fd_file_get() const
{
   int __return_value =  ::efl_loop_fd_file_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Fd::fd_file_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_loop_fd_file_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
} } 
namespace eo_cxx {
namespace efl { namespace loop { 
inline ::efl::eolian::return_traits<int>::type Fd::fd_get() const
{
   int __return_value =  ::efl_loop_fd_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Fd::fd_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_loop_fd_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
inline ::efl::eolian::return_traits<int>::type Fd::fd_file_get() const
{
   int __return_value =  ::efl_loop_fd_file_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Fd::fd_file_set( ::efl::eolian::in_traits<int>::type fd) const
{
    ::efl_loop_fd_file_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(fd));
}
inline efl::loop::Fd::operator ::efl::loop::Fd() const { return *static_cast< ::efl::loop::Fd const*>(static_cast<void const*>(this)); }
inline efl::loop::Fd::operator ::efl::loop::Fd&() { return *static_cast< ::efl::loop::Fd*>(static_cast<void*>(this)); }
inline efl::loop::Fd::operator ::efl::loop::Fd const&() const { return *static_cast< ::efl::loop::Fd const*>(static_cast<void const*>(this)); }
} } }

